# Created by pyp2rpm-3.3.2
%global pypi_name twine

Name:           python-%{pypi_name}
Version:        3.2.0
Release:        %mkrel 2
Summary:        Collection of utilities for publishing packages on PyPI
Group:          Development/Python
License:        ASL 2.0
URL:            https://twine.readthedocs.io/
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pretend)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
# tests
BuildRequires:  python3dist(requests-toolbelt)
BuildRequires:  python3dist(readme-renderer)
BuildRequires:  python3dist(pkginfo)
BuildRequires:  python3dist(tox)

%description
Twine is a utility for publishing Python packages on PyPI.

It provides build system independent uploads of source and binary distribution artifacts for
both new and existing projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Twine is a utility for publishing Python packages on PyPI.

It provides build system independent uploads of source and binary distribution artifacts for
both new and existing projects.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/twine
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Mon Nov 02 2020 akien <akien> 3.2.0-2.mga8
+ Revision: 1641832
- Remove doc package, so we can drop python-releases

* Fri Jul 03 2020 shlomif <shlomif> 3.2.0-1.mga8
+ Revision: 1601708
- New version 3.2.0

* Sun Mar 29 2020 wally <wally> 3.1.1-1.mga8
+ Revision: 1562160
- new version 3.1.1

* Sun Feb 16 2020 umeabot <umeabot> 1.13.0-3.mga8
+ Revision: 1534004
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 1.13.0-2.mga8
+ Revision: 1446546
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 1.13.0-1.mga8
+ Revision: 1422947
- add BRs
- pyp2rpm

